## codeblocks 10.05

=== debian/changelog ===
codeblocks (10.05-1) unstable; urgency=low

  * Initial Debian release (Closes: #304570)
  * Setting myself as Maintainer, original Ubuntu maintainer set as
    Uploader
  * Use debian/watch to get the original tarball, instead of an ad-hoc
    script
  * Wrap multivalue fields in debian/control
  * Update debian/copyright with lots of missing info, and use DEP-5
  * Add missing linkage to libX11 (03-fix_libX11_linkage.patch)
  * Use dh7 for debian/rules
  * Build-Depend on dh-autoreconf, since we need to re-generate autotools
    machinery (libtool version mismatch)
  * Migrate from libwxsmithlib0-dev to libwxsmithlib-dev, to ease
    future SONAME bumps.

 -- David Paleino <dapal@debian.org>  Sat, 22 Jan 2011 20:58:57 +0100

codeblocks (10.05-0ubuntu1) maverick; urgency=low

  * New upstream release. Closes (LP: #322350)
   - Switch to dpkg-source 3.0 (quilt) format
   - Remove unneeded README.source
   - Add debian/get-source-orig script that removes all
     Windows prebuilt binaries
  * Bump Standards-Version to 3.9.1
   - Stop shipping *.la files
  * debian/control
   - Add cdbs package as Build-Depend
   - Add libbz2-dev and zlib1g-dev packages as
     Build-Depends (needed by libhelp_plugin.so)
   - Remove dpatch package of Build-Depends
   - Add codeblocks-contrib-debug package
   - Split architecture-independent files of codeblocks
     package in codeblocks-common package
  * debian/rules
   - Switch to CDBS rules system
   - Add parallel build support
   - Add a call to debian/get-source-orig script
   - Use lzma compression (saves 23,5 MB of free space)
  * debian/patches
   - Refresh 01_codeblocks_plugin_path
   - Add 02_no_Makefiles_in_debian_dir to remove any link
     in codeblocks build system to deleted Makefiles of debian directory
   - Drop 02_ftbfs_gcc44 and 03_ftbfs_glib221 (merged in upstream)
  * debian/watch
   - Update to use the new host (berlios.de)

 -- Cosme Domínguez Díaz <cosme.ddiaz@gmail.com>  Mon, 09 Aug 2010 04:38:38 +0200

codeblocks (8.02-0ubuntu4) karmic; urgency=low

  [ Felix Geyer ]
  * Fix FTBFS with gcc 4.4 and glib 2.21 (LP: #428875)
    - Add debian/patches/02_ftbfs_gcc44.dpatch
    - Add debian/patches/03_ftbfs_glib221.dpatch

  [ Andrew Starr-Bochicchio ]
  * debian/rules: Drop depricated dh_desktop call.
  * debian/control:
   - Add ${misc:Depends} as we use debhelper.
   - Bump Standards-Version to 3.8.3, no changes needed.
   - Move codeblocks-dbg to Section: debug
  * Add README.source pointing to dpatch documentation.

 -- Felix Geyer <debfx-pkg@fobos.de>  Sun, 13 Sep 2009 14:18:13 -0400

codeblocks (8.02-0ubuntu3) jaunty; urgency=low

  * debian/control: Add recommends on xterm. Codeblocks seems to use xterm to
    launch programs; this failed if xterm was not present. (LP: #355524)

 -- David Cordero <david@corderoramirez.es>  Wed, 08 Apr 2009 17:51:47 +0200

codeblocks (8.02-0ubuntu2) intrepid; urgency=low

  * Expanded control file entries as per archive admin request.
  * Corrected original maintainer which had accidently been left as
    the maintainer set in the upstream Debian folder, and not as myself

 -- Michael Casadevall <sonicmctails@gmail.com>  Thu, 24 Jul 2008 09:47:33 -0400

codeblocks (8.02-0ubuntu1) intrepid; urgency=low

  * Inital Release based off existing codeblocks debian folder (LP: #105428)
  * Modify Maintainer from original debian folder to match 
    the DebianMaintainerField specification.
  * Added 01_codeblocks_plugin_path.dpatch to move the plugins path
  * Noted the LGPL licensing for some of the files in copyright, and
    pinged upstream to please include a COPYING.LGPL file in the source
    tarball

 -- Michael Casadevall <sonicmctails@gmail.com>  Thu, 17 Jul 2008 04:39:23 +0000
